Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 500942 - net-misc/netifrc has erratic behavior when /bin/sh points to mksh
Summary: net-misc/netifrc has erratic behavior when /bin/sh points to mksh
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Hosted Projects
Classification: Unclassified
Component: netifrc (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: netifrc Team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: nonbash
  Show dependency tree
 
Reported: 2014-02-11 07:01 UTC by Lars Wendler (Polynomial-C)
Modified: 2015-12-29 08:50 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
mksh_netifrc_problem.txt (mksh_netifrc_problem.txt,62.60 KB, text/plain)
2014-10-03 22:23 UTC, Lars Wendler (Polynomial-C)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Lars Wendler (Polynomial-C) gentoo-dev 2014-02-11 07:01:43 UTC
breakmygentoo:~ # ln -sfnv mksh /bin/sh
‘/bin/sh’ -> ‘mksh’
breakmygentoo:~ # /etc/init.d/net.eth0 restart
 * Bringing down interface eth0
 *   Stopping dhcpcd on eth0 ...                                          [ ok ]
 * Bringing up interface eth0
 *   Starting ifplugd on eth0 ...
 *   start-stop-daemon: /usr/sbin/ifplugd does not exist                  [ !! ]
 * WARNING: net.eth0 has started, but is inactive
breakmygentoo:~ # ln -sfnv dash /bin/sh
‘/bin/sh’ -> ‘dash’
breakmygentoo:~ # /etc/init.d/net.eth0 restart
 * Bringing down interface eth0
 * Bringing up interface eth0
 *   dhcpcd ...
 *     Running dhcpcd ...                                                 [ ok ]
 *     received address 192.168.1.88/24                                   [ ok ]
breakmygentoo:~ # qlist -CIve ifplugd
breakmygentoo:~ # grep -v "^\([[:space:]]*#\|$\)" /etc/conf.d/net
modules="iproute2"
config_eth0="dhcpcd"
dhcpcd_eth0="-q -t 20"
breakmygentoo:~ #

Neither ifplugd nor netplugd are installed but with mksh netifrc tries to use them anyway.
Comment 1 Lars Wendler (Polynomial-C) gentoo-dev 2014-10-03 22:23:12 UTC
Created attachment 386012 [details]
mksh_netifrc_problem.txt

Output of "mksh -x" when running the net.eth0 init script.
Comment 2 mirabilos 2014-10-10 21:59:05 UTC
CcxCZ asked me in IRC about it. I found the bug in Gentoo.

Fix: https://github.com/gentoo/netifrc/pull/1
Comment 3 Robin Johnson archtester Gentoo Infrastructure gentoo-dev Security 2014-10-11 21:21:23 UTC
Committed to Git, not released yet
Comment 4 Lars Wendler (Polynomial-C) gentoo-dev 2015-12-29 08:50:33 UTC
Fixed in netifrc-0.3.1